# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::DepthRange Class Reference

Wraps the OpenGL function glDepthRange(), see also http://www.opengl.org/sdk/docs/man/xhtml/glDepthRange.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::DepthRange:

List of all members.

## Public Member Functions

| DepthRange ()
| DepthRange (float znear, float zfar)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (float znear, float zfar)
void | setZNear (float znear)
void | setZFar (float zfar)
float | zNear () const
float | zFar () const

## Protected Attributes

float | mZNear
float | mZFar

## Detailed Description

Wraps the OpenGL function glDepthRange(), see also http://www.opengl.org/sdk/docs/man/xhtml/glDepthRange.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_DEPTH_TEST

## Constructor & Destructor Documentation

vl::DepthRange::DepthRange | ( |  | ) | `[inline]`

vl::DepthRange::DepthRange | ( | float | znear,
|  | float | zfar |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::DepthRange::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::DepthRange::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void DepthRange::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::DepthRange::set | ( | float | znear,
|  | float | zfar |
| ) |  |  | `[inline]`

void vl::DepthRange::setZNear | ( | float | znear | ) | `[inline]`

void vl::DepthRange::setZFar | ( | float | zfar | ) | `[inline]`

float vl::DepthRange::zNear | ( |  | ) | const`[inline]`

float vl::DepthRange::zFar | ( |  | ) | const`[inline]`

## Member Data Documentation

float vl::DepthRange::mZNear`[protected]`

float vl::DepthRange::mZFar`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:41 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.